For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a Demo
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
Get StartedConceptsProductsGuidesUI ComponentsAPI Access
    • Getting Started
    • Environments and Base URLs
    • Reference
  • API Reference
        • POSTCreate AFT Payment Request
        • GETList AFT Payment Requests
        • GETRetrieve AFT Payment Request
Get a Demo
LogoLogo
API ReferencePaymentsAFT

List AFT Payment Requests

GET
https://host.com/v2/payments/aft/
GET
/v2/payments/aft/
$curl https://host.com/v2/payments/aft/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "a1b2c3d4-0000-4000-8000-000000000001",
6 "amount": 50,
7 "direction": "Pull",
8 "status": "completed",
9 "consumer_id": "string",
10 "external_payment_card_id": "string",
11 "fee_amount": 0
12 }
13 ],
14 "next": "http://api.example.org/accounts/?page=4",
15 "previous": "http://api.example.org/accounts/?page=2"
16}
Get a paginated list of AFT payment requests
Was this page helpful?
Previous

Retrieve AFT Payment Request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"